Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class QBEInfo

    java.lang.Object
      jet.api.QBEInfo

    public class QBEInfo

extends java.lang.Object

QBEInfo wraps all QBE command related infos

Constructor Summary
`QBEInfo()` constructor an empty object
`QBEInfo(java.lang.String tableName, java.lang.String columnName, java.lang.String expression)` constructor an object with specific content

Method Summary
`boolean` | `equals(java.lang.Object obj)` compare the object
`java.lang.String` | `getColumnName()` return the column's name
`java.lang.String` | `getExpression()` return the expression value
`java.lang.String` | `getTableName()` return the table name
`void` | `setColumnName(java.lang.String columnName)` set the column's name
`void` | `setExpression(java.lang.String expression)` set the expression value
`void` | `setTableName(java.lang.String tableName)` set the table name

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QBEInfo

    public QBEInfo()

  constructor an empty object

### QBEInfo

    public QBEInfo(java.lang.String tableName,
                   java.lang.String columnName,
                   java.lang.String expression)

  constructor an object with specific content

  Parameters:
    `tableName` - the table name of column
    `columnName` - the column's name
    `expression` - the expression value

Method Detail

### getTableName

    public java.lang.String getTableName()

  return the table name

  Returns:
    table name of column

### getColumnName

    public java.lang.String getColumnName()

  return the column's name

  Returns:
    column's name

### getExpression

    public java.lang.String getExpression()

  return the expression value

  Returns:
    expression value

### setTableName

    public void setTableName(java.lang.String tableName)

  set the table name

  Parameters:
    `tableName` - table name of column

### setColumnName

    public void setColumnName(java.lang.String columnName)

  set the column's name

  Parameters:
    `columnName` - column's name

### setExpression

    public void setExpression(java.lang.String expression)

  set the expression value

  Parameters:
    `expression` - expression value

### equals

    public boolean equals(java.lang.Object obj)

  compare the object

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    if the given object is equal to this one, return true, otherwise, return false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD